Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net
Interface Member

      public interface Member

The Member interface represents a cluster member.

Since:
  Coherence 1.1
Author:
  gg 2002.02.08

Method Summary
`InetAddress` | `getAddress()` Return the IP address of the Member's DatagramSocket for point-to-point communication.
`int` | `getId()` Return a small number that uniquely identifies the Member at this point in time and does not change for the life of this Member.
`int` | `getMachineId()` Return the Member's machine Id.
`String` | `getMachineName()` Determine the configured name for the Machine (such as a host name) in which this Member resides.
`String` | `getMemberName()` Determine the configured name for the Member.
`int` | `getPort()` Return the port of the Member's DatagramSocket for point-to-point communication.
`String` | `getProcessName()` Determine the configured name for the Process (such as a JVM) in which this Member resides.
`String` | `getRackName()` Determine the configured name for the Rack (such as a physical rack, cage or blade frame) in which this Member resides.
`String` | `getRoleName()` Determine the configured role name for the Member.
`String` | `getSiteName()` Determine the configured name for the Site (such as a data center) in which this Member resides.
`long` | `getTimestamp()` Return the date/time value (in cluster time) that the Member joined.
`UID` | `getUid()` Return the unique identifier of the Member.

Method Detail

### getAddress

    InetAddress getAddress()

  Return the IP address of the Member's DatagramSocket for point-to-point communication.
  Returns:
    the IP address of the Member's DatagramSocket

### getPort

    int getPort()

  Return the port of the Member's DatagramSocket for point-to-point communication.
  Returns:
    the port of the Member's DatagramSocket

### getMachineId

    int getMachineId()

  Return the Member's machine Id.

  This identifier should be the same for Members that are on the same physical machine, and different for Members that are on different physical machines.

  Returns:
    the Member's machine Id

### getTimestamp

    long getTimestamp()

  Return the date/time value (in cluster time) that the Member joined.
  Returns:
    the cluster date/time value that the Member joined

### getUid

    UID getUid()

  Return the unique identifier of the Member.
  Returns:
    the unique identifier of the Member

### getId

    int getId()

  Return a small number that uniquely identifies the Member at this point in time and does not change for the life of this Member. <p/> This value sometimes referred to as a "mini-id" in comparison to the "Uid" returned by `getUid()`. It does not uniquely identify the Member throughout the duration of the cluster because Members that existed but left the cluster before this Member existed may have had the same mini-id value and the same goes for Members that may join the cluster after this Member leaves the cluster.
  Returns:
    the mini-id of the Member
  Since:
    Coherence 1.2

### getSiteName

    String getSiteName()

  Determine the configured name for the Site (such as a data center) in which this Member resides. This name is used for logging purposes and to differentiate among multiple geographic sites.
  Returns:
    the configured Site name or null
  Since:
    Coherence 3.2

### getRackName

    String getRackName()

  Determine the configured name for the Rack (such as a physical rack, cage or blade frame) in which this Member resides. This name is used for logging purposes and to differentiate among multiple racks within a particular data center, for example.
  Returns:
    the configured Rack name or null
  Since:
    Coherence 3.2

### getMachineName

    String getMachineName()

  Determine the configured name for the Machine (such as a host name) in which this Member resides. This name is used for logging purposes and to differentiate among multiple servers, and may be used as the basis for determining the MachineId property.
  Returns:
    the configured Machine name or null
  Since:
    Coherence 3.2

### getProcessName

    String getProcessName()

  Determine the configured name for the Process (such as a JVM) in which this Member resides. This name is used for logging purposes and to differentiate among multiple processes on a a single machine.
  Returns:
    the configured Process name or null
  Since:
    Coherence 3.2

### getMemberName

    String getMemberName()

  Determine the configured name for the Member. This name is used for logging purposes and to differentiate among Members running within a particular process.
  Returns:
    the configured Member name or null
  Since:
    Coherence 3.2

### getRoleName

    String getRoleName()

  Determine the configured role name for the Member. This role is completely definable by the application, and can be used to determine what Members to use for specific purposes, such as to send particular types of work to.
  Returns:
    the configured role name for the Member or null
  Since:
    Coherence 3.2

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.